Ingest
Start an ingest upload
Start a Black Hole resumable upload session.
POST
/
api
/
v2
/
ingest
/
uploads
/
Register an upload (idempotent on org + sha256)
curl --request POST \
--url https://api.example.com/api/v2/ingest/uploads/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sha256": "<string>",
"size": 2,
"filename": "<string>",
"folder_path": "",
"agent_id": ""
}
'import requests
url = "https://api.example.com/api/v2/ingest/uploads/"
payload = {
"sha256": "<string>",
"size": 2,
"filename": "<string>",
"folder_path": "",
"agent_id": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sha256: '<string>',
size: 2,
filename: '<string>',
folder_path: '',
agent_id: ''
})
};
fetch('https://api.example.com/api/v2/ingest/uploads/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "<string>",
"item_id": "<string>",
"state": "<string>"
}{
"status": "<string>",
"item_id": "<string>",
"upload_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}{}{}{}{}{}Desktop agent. Returns a resumable GCS session. Auth0 only (
ingest:write). Dedupes on (org, sha256). Allowlist 404; old agent 426.Body
application/json
POST /api/v2/ingest/uploads/ body (CONTRACT ยง2.2).
agent_id is optional in the body; when both it and the
X-Agent-Id header are present they must match (the view enforces
the 400 agent_mismatch).
โI
Register an upload (idempotent on org + sha256)
curl --request POST \
--url https://api.example.com/api/v2/ingest/uploads/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sha256": "<string>",
"size": 2,
"filename": "<string>",
"folder_path": "",
"agent_id": ""
}
'import requests
url = "https://api.example.com/api/v2/ingest/uploads/"
payload = {
"sha256": "<string>",
"size": 2,
"filename": "<string>",
"folder_path": "",
"agent_id": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sha256: '<string>',
size: 2,
filename: '<string>',
folder_path: '',
agent_id: ''
})
};
fetch('https://api.example.com/api/v2/ingest/uploads/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "<string>",
"item_id": "<string>",
"state": "<string>"
}{
"status": "<string>",
"item_id": "<string>",
"upload_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}{}{}{}{}{}
